
ModMap = {} 
local ModMap_mt = Class(ModMap, Mission00)

function ModMap:new(baseDirectory, customMt, missionCollaborators)
    local mt = customMt
    if mt == nil then
        mt = ModMap_mt
    end
    local self = ModMap:superClass():new(baseDirectory, mt, missionCollaborators)

    self.terrainDetailHeightTypeNumChannels = self.terrainDetailHeightTypeNumChannels + 1;

    return self
end


function ModMap:load()
   ModMap:superClass().load(self);
   if (not self.missionInfo.isValid) and (not self.missionDynamicInfo.isMultiplayer) then
      local modDesc = loadXMLFile("modDesc", self.baseDirectory .. "modDesc.xml");
      local key = "modDesc.maps.map#defaultSingleplayerItemsXMLFilename"
      if not hasXMLProperty(modDesc, key) then
         print("ERROR : xmlKey 'defaultSingleplayerItemsXMLFilename' in modDesc not found! ")
         return;
      end;
      self.missionInfo.itemsXMLLoad  = Utils.getFilename(getXMLString(modDesc, key), self.baseDirectory);
   end;
end;